#
# spec file for package python-podcastparser
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkgname podcastparser
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Name:           python-%{pkgname}
Version:        0.6.0
Release:        2.1
Summary:        Simple, fast and efficient podcast parser
License:        ISC
Group:          Development/Libraries/Python
Url:            http://gpodder.org/%{pkgname}/
Source:         http://gpodder.org/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Requires:       python-xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The podcast parser project is a library from the gPodder project to provide an
easy and reliable way of parsing RSS- and Atom-based podcast feeds in Python.

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%if 0%{?suse_version} > 1010
%check
python test_%{pkgname}.py
%endif

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{python_sitelib}/*

%changelog
* Mon Dec  5 2016 fstrba@suse.com
- Initial release of python-podcastparser 0.6.0
